﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>
<%@ Register assembly="Syncfusion.Shared.Web, Version=13.2450.0.29, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89" namespace="Syncfusion.Web.UI.WebControls.Shared" tagprefix="syncfusion" %>

<%@ Register assembly="Syncfusion.Grid.Grouping.Web, Version=13.2450.0.29, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89" namespace="Syncfusion.Web.UI.WebControls.Grid.Grouping" tagprefix="syncfusion" %>
<%@ Register assembly="Syncfusion.OlapGrid.Web, Version=13.2450.0.29, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89" namespace="Syncfusion.Web.UI.WebControls.Grid.Olap" tagprefix="syncfusion" %>
<%@ Register assembly="Syncfusion.OlapChart.Web, Version=13.2450.0.29, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89" namespace="Syncfusion.Web.UI.WebControls.Chart.Olap" tagprefix="syncfusion" %>

<asp:Content runat="server" ID="FeaturedContent" ContentPlaceHolderID="FeaturedContent">
    <section class="featured">
        <div class="content-wrapper">
            <hgroup class="title">
                <h1><%: Title %>.</h1>
                <h2>Modify this template to jump-start your ASP.NET application.</h2>
            </hgroup>
            <p>
                To learn more about ASP.NET, visit <a href="http://asp.net" title="ASP.NET Website">http://asp.net</a>. 
                The page features <mark>videos, tutorials, and samples</mark> to help you get the most from 
                ASP.NET. If you have any questions about ASP.NET visit 
                <a href="http://forums.asp.net/18.aspx" title="ASP.NET Forum">our forums</a>.
            </p>

        </div>
    </section>
</asp:Content>

<asp:Content runat="server" ID="BodyContent" ContentPlaceHolderID="MainContent">
    <asp:Calendar ID="Calendar1" runat="server" BackColor="#FFFFCC" BorderColor="#FFCC66" BorderWidth="1px" DayNameFormat="Shortest" Font-Names="Verdana" Font-Size="8pt" ForeColor="#663399" Height="264px" ShowGridLines="True" Width="961px" OnSelectionChanged="Calendar1_SelectionChanged">
        <DayHeaderStyle BackColor="#FFCC66" Font-Bold="True" Height="1px" />
        <NextPrevStyle Font-Size="9pt" ForeColor="#FFFFCC" />
        <OtherMonthDayStyle ForeColor="#CC9966" />
        <SelectedDayStyle BackColor="#CCCCFF" Font-Bold="True" />
        <SelectorStyle BackColor="#FFCC66" />
        <TitleStyle BackColor="#990000" Font-Bold="True" Font-Size="9pt" ForeColor="#FFFFCC" />
        <TodayDayStyle BackColor="#FFCC66" ForeColor="White" />
    </asp:Calendar>
<script type="text/javascript">
        function load(args) {
            this.model.enableTouch = false;
        }
</script>
    <ej:Grid ID="FlatGrid" runat="server" AllowSelection="True"  AllowFiltering="True" 
    AllowGrouping="True" AllowTextWrap="True" DataSourceCachingMode="Session" EnableRowHover="true" AllowCellMerging="True" AllowPaging="True" AllowReordering="True" AllowResizeToFit="True" AllowResizing="True" AllowSearching="True" AllowSorting="True" Width="0px">
<ToolbarSettings ShowToolbar="true" ToolbarItems="printGrid"/>
        <ContextMenuSettings EnableContextMenu="true"/>
        <ClientSideEvents QueryCellInfo="formatingCell" />
        <Columns>
            <ej:Column DataType="number" Field="idactividades" IsIdentity="True" IsPrimaryKey="True" HeaderText="ID" Width="45">
            </ej:Column>
            <ej:Column DataType="string" Field="actividad" HeaderText="Actividad" Width="100">
            </ej:Column>
            <ej:Column DataType="string" Field="area" HeaderText="Area" Width="80">
            </ej:Column>
            <ej:Column DataType="string" Field="tipotrab" HeaderText="Trabajo" Width="90">
            </ej:Column>
            <ej:Column DataType="string" Field="requisitor" HeaderText="Requisitor" Width="110">
            </ej:Column>
            <ej:Column DataType="date" Field="fechainicio" HeaderText="Inicio" Width="80">
            </ej:Column>
            <ej:Column DataType="date" Field="fechaprom" HeaderText="Promesa" Width="100">
            </ej:Column>
            <ej:Column DataType="date" Field="fechareprog" HeaderText="Reprogramación" Width="150">
            </ej:Column>
            <ej:Column DataType="date" Field="fechafin" HeaderText="Termino" Width="85">
            </ej:Column>
        </Columns>

<PageSettings Template="" PageSize="10"></PageSettings>

        <EditSettings RowPosition="Bottom" AllowAdding="True" AllowDeleting="false"/>
        <FilterSettings FilterType="Excel" MaxFilterChoices="100" ShowPredicate="True" StatusBarWidth="10"/>
         <ScrollSettings Width="950" Height="300" VirtualScrollMode="Continuous" />
    </ej:Grid>
    <br />

  
    <script type="text/javascript">
        function formatingCell(args) {
            var a = 3;
            var value = args.text.replace(",", "");
            var $element = $(args.cell);
            switch (args.column.headerText) {
                case "Promesa":
                    if (parseFloat(value) > 500 && parseFloat(value) < 1000)
                        $element.css("background-color", "#336c12").css("color", "white");
                    else if (parseFloat(value) > 1000 && parseFloat(value) < 2000)
                        $element.css("background-color", "#7b2b1d").css("color", "white");
                    else if (parseFloat(value) > 2000 && parseFloat(value) < 3000)
                        $element.css("background-color", "#205239").css("color", "white");
                    break;
                case "52W L":
                    if (parseFloat(value) > 500 && parseFloat(value) < 1000)
                        $element.css("background-color", "#745a17").css("color", "white");
                    else if (parseFloat(value) > 1000 && parseFloat(value) < 2000)
                        $element.css("background-color", "#09576b").css("color", "white");
                    else if (parseFloat(value) > 2000 && parseFloat(value) < 3000)
                        $element.css("background-color", "#397218").css("color", "white");
                    break;
                case "Change":
                    $element.css("color", "#E84649");
                    break;
                case "365 Days % Chg":
                case "30 Days % Chg":
                    if (parseFloat(value) < 0)
                        $element.css("color", "red").prepend("<img src='../Content/images/down.png' height='15px' width='13px' style='padding-left:10px; float:right;' ></img> ");
                    else
                        $element.css("color", "green").prepend("<img src='../Content/images/up.png' height='15px' width='13px' style='padding-left:10px; float:right;' ></img>");
                    break;
            }
        }
    </script>


<ol class="round">
            <li class="two">
                <h5>Add NuGet packages and jump-start your coding</h5>
                NuGet makes it easy to install and update free libraries and tools.
            <a href="http://go.microsoft.com/fwlink/?LinkId=245147">Learn more…</a>
            </li>
            <li class="three">
                <h5>Find Web Hosting</h5>
                You can easily find a web hosting company that offers the right mix of features and price for your applications.
            <a href="http://go.microsoft.com/fwlink/?LinkId=245143">Learn more…</a>
                3</li>
            <li class="three">
       
            </li>
        </ol>
</asp:Content>