using MySql.Data.MySqlClient;
using Syncfusion.EJ.Export;
using Syncfusion.XlsIO;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
public partial class _Default : System.Web.UI.Page
{

    DataTable registros = new DataTable();
    DataSet regs = new DataSet();
        protected void Page_Load(object sender, EventArgs e)
        {
           
            if (Page.IsPostBack)
            {

            }
            else
            {
                // Se ejecuta solo la primera vez que se carga la pagina
                 BindDataSource();
            }
        }

        private void BindDataSource()
        {
            MySqlConnection conexion = new MySqlConnection("server=localhost;Database=ingplanta;Uid=root;pwd=$istemas");
            conexion.Open();
 String consulta = "SELECT A.idactividades, A.actividad, A.area, A.tipotrab, A.requisitor, A.fechainicio, AF.fechaprom, AF.fechareprog, AF.fechafin "
 + "FROM ingplanta.actividades AS A " + "INNER JOIN ingplanta.actividadesf As AF ON (A.idactividades=AF.idactividades);";
            MySqlDataAdapter adaptador = new MySqlDataAdapter(consulta, conexion);
            int res = adaptador.Fill(regs);
            FlatGrid.DataSource = regs.Tables[0];
            FlatGrid.DataBind();
            conexion.Close();
        }

    protected void FlatGrid_ServerExcelExporting(object sender, Syncfusion.JavaScript.Web.GridEventArgs e)
    {
        ExcelExport exp = new ExcelExport();
        exp.Export(FlatGrid.Model, (IEnumerable)FlatGrid.DataSource, "Export.xlsx", ExcelVersion.Excel2010, true, true, "flat-lime");

    }
    protected void FlatGrid_ServerPdfExporting(object sender, Syncfusion.JavaScript.Web.GridEventArgs e)
    {
        PdfExport exp = new PdfExport();
        exp.Export(FlatGrid.Model, (IEnumerable)FlatGrid.DataSource, "Export.pdf",true, true, "flat-lime");
    }
    protected void FlatGrid_ServerWordExporting(object sender, Syncfusion.JavaScript.Web.GridEventArgs e)
    {
        WordExport exp = new WordExport();
        exp.Export(FlatGrid.Model, (IEnumerable)FlatGrid.DataSource, "Export.docx", true, true, "flat-lime");

    }

    protected void FlatGridSeleccion()
    {
        String id = FlatGrid.SelectedRowIndex.ToString();

        Session["id"] = id;

    }

    protected void Calendar1_SelectionChanged(object sender, EventArgs e)
    {

    }
    protected void GridGroupingControl1_RowDataBound(object sender, Syncfusion.Web.UI.WebControls.Grid.Grouping.RowDataBoundEventArgs e)
    {
        //if (e.Row.DataBind == DataControlRowType.DataRow)
        //{
            e.Row.Attributes.Add("OnMouseOut", "Resaltar_On(this);");
            e.Row.Attributes.Add("OnMouseOver", "Resaltar_Off(this)");
            DateTime fechapromesa = Convert.ToDateTime(e.Row.Cells[14].Text);
            string fechaprom = fechapromesa.Year.ToString() + "-" + fechapromesa.Month.ToString() + "-" + fechapromesa.Day.ToString();
            try
            {
                DateTime fechafinal = Convert.ToDateTime(e.Row.Cells[16].Text);
                string fechafin = fechafinal.Year.ToString() + "-" + fechafinal.Month.ToString() + "-" + fechafinal.Day.ToString();

                if (DateTime.Parse(fechaprom) > DateTime.Parse(fechafin))
                {
                    e.Row.Cells[14].Font.Bold = true;
                    e.Row.Cells[14].BackColor = System.Drawing.Color.LightGreen;
                }
                else
                {
                    e.Row.Cells[14].Font.Bold = true;
                    e.Row.Cells[14].BackColor = System.Drawing.Color.OrangeRed;
                }
                e.Row.Cells[16].Font.Bold = true;
                e.Row.Cells[16].BackColor = System.Drawing.Color.Aqua;
            }
            catch
            {

                try
                {
                    String fechafin = DateTime.Now.Year.ToString() + "-" + DateTime.Now.Month.ToString() + "-" + DateTime.Now.Day.ToString();
                    if (DateTime.Parse(fechaprom) > DateTime.Parse(fechafin))
                    {
                        e.Row.Cells[14].Font.Bold = true;
                        e.Row.Cells[14].BackColor = System.Drawing.Color.LightGreen;
                    }
                    else
                    {
                        e.Row.Cells[14].Font.Bold = true;
                        e.Row.Cells[14].BackColor = System.Drawing.Color.OrangeRed;
                    }
                    DateTime fechareprogramada = Convert.ToDateTime(e.Row.Cells[15].Text);
                    string fechareprog = fechareprogramada.Year.ToString() + "-" + fechareprogramada.Month.ToString() + "-" + fechareprogramada.Day.ToString();
                    if (DateTime.Parse(fechareprog) > DateTime.Parse(fechafin))
                    {
                        e.Row.Cells[15].Font.Bold = true;
                        e.Row.Cells[15].BackColor = System.Drawing.Color.LightGreen;
                    }
                    else
                    {
                        e.Row.Cells[15].Font.Bold = true;
                        e.Row.Cells[15].BackColor = System.Drawing.Color.OrangeRed;
                    }
                }
                catch
                {


                }
            }
            String fechainicio1 = e.Row.Cells[13].Text;
            String fechapromesa1 = e.Row.Cells[14].Text;
            String fechareprogramada1 = e.Row.Cells[15].Text;
            String fechafin1 = e.Row.Cells[16].Text;
            try
            {
                e.Row.Cells[13].Text = Convert.ToDateTime(fechainicio1).ToString("dd-MM-yyyy");
                e.Row.Cells[14].Text = Convert.ToDateTime(fechapromesa1).ToString("dd-MM-yyyy");
                e.Row.Cells[16].Text = Convert.ToDateTime(fechafin1).ToString("dd-MM-yyyy");
            }
            catch
            {
                try
                {
                    e.Row.Cells[15].Text = Convert.ToDateTime(fechareprogramada1).ToString("dd-MM-yyyy");
                }
                catch { }
            }
        }
    //}
}